Issue187

classification
Title [Bug: 21.4.21] Bad Window
Type defect Module core code 21.4
Severity inconvenience Platform other cpu, unix
Keywords Nosy List mike.kupfer
explanation
process
These controls should only be changed by committers and tracker administrators.
Status chatting   Reason
Superseder   Submitted 2007-11-14.17:10:32
Priority normal   Assigned To

Created on 2008-01-19.06:43:08 by rsparapa, last changed 2009-06-30.15:03:25 by rsparapa.

Messages
msg1229 [hidden] ([hidden]) Date: 2009-06-30.15:03:25
  Message-ID: <1246374205.64.0.652112578193.issue187@xemacs.org>
Still getting these, but at least no crashes...

X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  25 (X_SendEvent)
  Resource id in failed request:  0xa06d94
  Serial number of failed request:  649088
  Current serial number in output stream:  649088
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  25 (X_SendEvent)
  Resource id in failed request:  0xa06d95
  Serial number of failed request:  649093
  Current serial number in output stream:  649093
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0xa06d96
  Serial number of failed request:  649136
  Current serial number in output stream:  649137
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  25 (X_SendEvent)
  Resource id in failed request:  0xa06d96
  Serial number of failed request:  649137
  Current serial number in output stream:  649137
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0xa06d97
  Serial number of failed request:  649154
  Current serial number in output stream:  649155
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  25 (X_SendEvent)
  Resource id in failed request:  0xa06d97
  Serial number of failed request:  649155
  Current serial number in output stream:  649155
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0xa06d98
  Serial number of failed request:  649198
  Current serial number in output stream:  649199
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  25 (X_SendEvent)
  Resource id in failed request:  0xa06d98
  Serial number of failed request:  649199
  Current serial number in output stream:  649199
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0xa06d99
  Serial number of failed request:  649212
  Current serial number in output stream:  649213
X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  25 (X_SendEvent)
  Resource id in failed request:  0xa06d99
  Serial number of failed request:  649213
  Current serial number in output stream:  649213
msg294 [hidden] ([hidden]) Date: 2008-01-19.06:43:08
  Message-ID: <473B4E85.1070109@mcw.edu>
Hi Vin:

Responses below:

I believe there were X errors before, but XEmacs would usually keep on 
going.
Now, it seems more frequent with 21.4.20 and 21.4.21 and it dies.

See below.
> ** Motif
>
> Motif is the X11 version of the Gnus torture test: if there's a way to
> crash, Motif will find it.  With the open source release of Motif, it
> seems like a good idea to collect all Motif-related issues in one
> place.
>
> You should also look in your OS's section, as it may not be Motif's
> fault.
>
>
> and
>
>
> *** XEmacs crashes on exit (#2)
>
> Especially frequent with multiple frames.  Crashes that produce C
> backtraces like this:
>
> #0  0xfec9a118 in _libc_kill () from /usr/lib/libc.so.1
> #1  0x77f48 in fatal_error_signal (sig=11)
>     at /codes/rpluim/xemacs-21.4/src/emacs.c:539
> #2  <signal handler called>
> #3  0xfee929f4 in XFindContext () from /usr/openwin/lib/libX11.so.4
> #4  0xfee92930 in XFindContext () from /usr/openwin/lib/libX11.so.4
> #5  0xff297e54 in DisplayDestroy () from /usr/dt/lib/libXm.so.4
> #6  0xfefbece0 in XtCallCallbackList () from /usr/openwin/lib/libXt.so.4
> #7  0xfefc486c in XtPhase2Destroy () from /usr/openwin/lib/libXt.so.4
> #8  0xfefc45d0 in _XtDoPhase2Destroy () from /usr/openwin/lib/libXt.so.4
> #9  0xfefc43b4 in XtDestroyWidget () from /usr/openwin/lib/libXt.so.4
> #10 0x15cf9c in x_delete_device (d=0x523f00)
>
> are caused by buggy Motif libraries.  Installing the following patches
> has been reported to solve the problem on Solaris 2.7:
>
> 107081-40 107656-07
>
> For information (although they have not been confirmed to work), the
> equivalent patches for Solaris 2.8 are:
>
> 108940-33 108652-25
>
>
> HTH,
>   Vin
>   
For X11, it's backwards, the server is on the local machine and the 
client is the remote
machine right?  The server is running Solaris 10 and the client is 
running Solaris 9
and these patches are not installed on either.  However, Motif patches 
were installed on
the client, but the number, apparently, is different.  I haven't 
installed any patches on the
server, but I am running JDS rather than Motif.

In any case, this is not a crash on exit.  There is no crash at all, 
it's minimized
but dies before you get the change to re-open it.

Rodney

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
msg293 [hidden] ([hidden]) Date: 2008-01-19.06:43:08
  Message-ID: <fjumm4$gh4$1@ger.gmane.org>
Rodney Sparapani wrote:
> 
> Ooh, I've just found an earlier thread that is eerily similar about 
> 21.4.12 in which Glynn was also involved at 
> http://calypso.tux.org/pipermail/xemacs-beta/2004-November/003563.html
> 
> It mentions an even earlier discussion that I can't seem to track down
> at the broken link
> http://list-archive.xemacs.org/xemacs-beta/200309/msg00056.html
> 
> I'm assuming you would translate that into the modern address 
> http://calypso.tux.org/pipermail/xemacs-beta/2003-September/00056.html
> however, it's not there either.
> 
> In any case, the suggested solution is:
>     (setq interprogram-cut-function nil)
>     (setq interprogram-paste-function nil)
> 
> If you don't hear from me again, this fixes it.
> 
> Rodney

Hi Gang:

I've been running with these settings for 2 weeks and I've only had one 
crash, rather than 1 or 2 a day.  So, these settings make it much more 
robust.  X errors still occur, but XEmacs is much less likely to crash 
to date.

Thanks,

Rodney

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
msg292 [hidden] ([hidden]) Date: 2008-01-19.06:43:08
  Message-ID: <fipsol$u9q$1@ger.gmane.org>
Glynn Clements wrote:
> Rodney Sparapani wrote:
>> It just happened again, but this time, it didn't die.  The first error
>> message is the same, the second is different:
>>
>> X Error of failed request:  BadWindow (invalid Window parameter)
>>    Major opcode of failed request:  18 (X_ChangeProperty)
>>    Resource id in failed request:  0x681655
>>    Serial number of failed request:  6539403
>>    Current serial number in output stream:  6539405
>> X Error of failed request:  BadWindow (invalid Window parameter)
>>    Major opcode of failed request:  25 (X_SendEvent)
>>    Resource id in failed request:  0x681655
>>    Serial number of failed request:  6539404
>>    Current serial number in output stream:  6539405
> 
> A BadWindow error for XChangeProperty() followed by one for
> XSendEvent(), with consecutive serial numbers and identical window
> IDs.
> 
> That *has* to be this code in x_reply_selection_request() in
> select-x.c:
> 
>       XChangeProperty (display, window, reply.property, type, format,
> 		       PropModeReplace, data, size);
>       /* At this point, the selection was successfully stored; ack it. */
>       XSendEvent (display, window, False, 0L, (XEvent *) &reply);
> 
> However, the "window" variable is taken from the "requestor" field of
> a SelectionRequest event.
> 
> IOW, an external program sends XEmacs a SelectionRequest event with a
> bogus window ID, and Xlib complains when XEmacs tries to reply to the
> (non-existent) requestor.
> 
> This has to be a bug in an external program, and there are limits to
> what XEmacs can do about it.
> 
> I don't think that it can prevent Xlib from throwing the error. AFAIK,
> there isn't any way to test whether a particular XID is valid (other
> than trying to use it and seeing if an error occurs).
> 
> It's possible that there are bugs in the handling of X errors. At
> least one such bug was fixed in the 21.4 series (the error handler was
> calling into lisp which called into Xlib, which isn't allowed).
> 

Ooh, I've just found an earlier thread that is eerily similar about 
21.4.12 in which Glynn was also involved at 
http://calypso.tux.org/pipermail/xemacs-beta/2004-November/003563.html

It mentions an even earlier discussion that I can't seem to track down
at the broken link
http://list-archive.xemacs.org/xemacs-beta/200309/msg00056.html

I'm assuming you would translate that into the modern address 
http://calypso.tux.org/pipermail/xemacs-beta/2003-September/00056.html
however, it's not there either.

In any case, the suggested solution is:
     (setq interprogram-cut-function nil)
     (setq interprogram-paste-function nil)

If you don't hear from me again, this fixes it.

Rodney

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
msg291 [hidden] ([hidden]) Date: 2008-01-19.06:43:08
  Message-ID: <18236.25319.619617.821692@cerise.gclements.plus.com>
Rodney Sparapani wrote:

> >>  > X Error of failed request:  BadWindow (invalid Window parameter)
> >>
> >> What's your window manager?  I think this has to do with window
> >> manager reparenting, but I don't exactly know what is going on.
> >>
> >>
> >>
> >>   
> > The window manager is the Java Desktop System.  Basically, it's Sun's
> > distribution of GNOME AFAICT.
> > 
> > RODNEY
> 
> It just happened again, but this time, it didn't die.  The first error
> message is the same, the second is different:
> 
> X Error of failed request:  BadWindow (invalid Window parameter)
>    Major opcode of failed request:  18 (X_ChangeProperty)
>    Resource id in failed request:  0x681655
>    Serial number of failed request:  6539403
>    Current serial number in output stream:  6539405
> X Error of failed request:  BadWindow (invalid Window parameter)
>    Major opcode of failed request:  25 (X_SendEvent)
>    Resource id in failed request:  0x681655
>    Serial number of failed request:  6539404
>    Current serial number in output stream:  6539405

A BadWindow error for XChangeProperty() followed by one for
XSendEvent(), with consecutive serial numbers and identical window
IDs.

That *has* to be this code in x_reply_selection_request() in
select-x.c:

      XChangeProperty (display, window, reply.property, type, format,
		       PropModeReplace, data, size);
      /* At this point, the selection was successfully stored; ack it. */
      XSendEvent (display, window, False, 0L, (XEvent *) &reply);

However, the "window" variable is taken from the "requestor" field of
a SelectionRequest event.

IOW, an external program sends XEmacs a SelectionRequest event with a
bogus window ID, and Xlib complains when XEmacs tries to reply to the
(non-existent) requestor.

This has to be a bug in an external program, and there are limits to
what XEmacs can do about it.

I don't think that it can prevent Xlib from throwing the error. AFAIK,
there isn't any way to test whether a particular XID is valid (other
than trying to use it and seeing if an error occurs).

It's possible that there are bugs in the handling of X errors. At
least one such bug was fixed in the 21.4 series (the error handler was
calling into lisp which called into Xlib, which isn't allowed).
msg290 [hidden] ([hidden]) Date: 2008-01-19.06:43:08
  Message-ID: <fhflf4$n95$1@ger.gmane.org>
Rodney Sparapani wrote:
> Stephen J. Turnbull wrote:
>> Rodney Sparapani writes:
>>
>>  > X Error of failed request:  BadWindow (invalid Window parameter)
>>
>> What's your window manager?  I think this has to do with window
>> manager reparenting, but I don't exactly know what is going on.
>>
>>
>>
>>   
> The window manager is the Java Desktop System.  Basically, it's Sun's
> distribution of GNOME AFAICT.
> 
> RODNEY

It just happened again, but this time, it didn't die.  The first error
message is the same, the second is different:

X Error of failed request:  BadWindow (invalid Window parameter)
   Major opcode of failed request:  18 (X_ChangeProperty)
   Resource id in failed request:  0x681655
   Serial number of failed request:  6539403
   Current serial number in output stream:  6539405
X Error of failed request:  BadWindow (invalid Window parameter)
   Major opcode of failed request:  25 (X_SendEvent)
   Resource id in failed request:  0x681655
   Serial number of failed request:  6539404
   Current serial number in output stream:  6539405

Rodney

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
msg289 [hidden] ([hidden]) Date: 2008-01-19.06:43:08
  Message-ID: <473B4EFC.3020008@mcw.edu>
The window manager is the Java Desktop System.  Basically, it's Sun's
distribution of GNOME AFAICT.

RODNEY

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
msg288 [hidden] ([hidden]) Date: 2008-01-19.06:43:08
  Message-ID: <200711141710.lAEHAWQO020608@don.biostat.mcw.edu>
================================================================
Dear Bug Team!

For both 21.4.20 and 21.4.21, I've been getting these types of
messages:

X Error of failed request:  BadWindow (invalid Window parameter)
  Major opcode of failed request:  18 (X_ChangeProperty)
  Resource id in failed request:  0x680d73
  Serial number of failed request:  1242578
  Current serial number in output stream:  1242580

This happens when XEmacs is minimized so no data is lost, but it
happens frequently enough to be annoying since you have to 
restart XEmacs and open all of your files again.  I'm not sure
what else to do here.

================================================================

System Info to help track down your bug:
---------------------------------------

uname -a: SunOS don 5.9 Generic_118558-10 sun4u sparc SUNW,Sun-Fire-880

configure  '--with-sound=esd' '--with-clash-detection=yes' '--cflags=-Os' '--with-dialogs=motif' '--with-widgets=motif' '--with-mule' '--with-xim=motif' '--with-png' '--with-dragndrop' '--with-cde'

XEmacs 21.4.21 "Educational Television" configured for `sparc-sun-solaris2.9'.

Compilation / Installation:
  Source code location:              /opt/xemacs/xemacs-21.4.21
  Installation prefix:               /usr/local
  Runtime library search path:       /usr/ccs/lib:/usr/openwin/lib:/opt/local/lib/gcc/sparc-sun-solaris2.9/4.1.1/../../..
  Operating system description file: `s/sol2.h'
  Machine description file:          `m/sparc.h'
  Compiler:                          gcc -Os
  Compiler version:                  gcc (GCC) 4.1.1
  Compiler specs file:               specs.
  Relocating allocator for buffers:  yes
  GNU version of malloc:             yes
  libc:                              SUNWcsl 11.9.0,REV=2002.04.06.15.27

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 /usr/openwin/include
    - X Windows libraries location:               /usr/openwin/lib
    - Handling WM_COMMAND properly.
  Compiling in support for Motif.
  *WARNING*  Many versions of Motif are buggy, requiring workarounds.
             You are likely to experience slow redisplay.
             You may need to install vendor patches to Motif.
             See PROBLEMS for more information.
  Using Lucid menubars.
  Using Lucid scrollbars.
  Using Motif dialog boxes.
  Using Motif native widgets.
  Compiling in support for Drag'n'Drop (EXPERIMENTAL).
    -  Drag'n'Drop prototype:                              CDE.

TTY:
  Compiling in support for ncurses.

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.

Sound:
  Compiling in support for ESD (Enlightened Sound Daemon).

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for GNU DBM.
  Compiling in support for LDAP.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).
  Compiling in support for XIM (X11R5+ I18N input method).
    - Using Motif to provide XIM support.

Mail:
  Compiling in support for "dot-locking" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for ToolTalk.
  Compiling in support for dynamic shared object modules.

Load-Path Lisp Shadows:
----------------------
(/usr/local/lib/xemacs/xemacs-packages/lisp/build/build-report
/usr/local/lib/xemacs-21.4.21/lisp/build-report)

Installed XEmacs Packages:
-------------------------
(zenirc ver: 1.16 upstream: 2.112)
(xwem ver: 1.22 upstream: lg@xwem.org--2005/xwem--main--2.1--versionfix-1)
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xlib ver: 1.14 upstream: lg@xwem.org--2005/xlib--main--2.1--version-0)
(xetla ver: 1.01 upstream: steve@eicq.org--2005/xetla--main--1.1--version-0)
(xemacs-devel ver: 1.72 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.03 upstream: No-Upstream-Ver)
(x-symbol ver: 1.1 upstream: 4.5.1)
(w3 ver: 1.32 upstream: 4.0pre47)
(vm ver: 7.22 upstream: 7.17)
(viper ver: 1.48 upstream: 3.09)
(view-process ver: 1.13 upstream: 2.4)
(vhdl ver: 1.21 upstream: 3.33.8)
(vc-cc ver: 1.22 upstream: No-Upstream-Ver)
(vc ver: 1.41 upstream: No-Upstream-Ver)
(tramp ver: 1.32 upstream: 2.0.53)
(tpu ver: 1.14 upstream: 4.2X)
(tooltalk ver: 1.15 upstream: No-Upstream-Ver)
(tm ver: 1.38 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(textools ver: 1.15 upstream: No-Upstream-Ver)
(text-modes ver: 1.9 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.28 upstream: 0.14beta4)
(sounds-wav ver: 1.12 upstream: No-Upstream-Ver)
(sounds-au ver: 1.12 upstream: No-Upstream-Ver)
(sml-mode ver: 0.12 upstream: 3.9.5)
(slider ver: 1.15 upstream: 0.3x1)
(sieve ver: 1.18 upstream: No-Upstream-Ver)
(sh-script ver: 1.21 upstream: 2.0f)
(sgml ver: 1.11 upstream: No-Upstream-Ver)
(semantic ver: 1.2 upstream: 1.4.4)
(scheme ver: 1.14 upstream: No-Upstream-Ver)
(sasl ver: 1.16 upstream: 1.14.4)
(ruby-modes ver: 1.02 upstream: 1.6.8)
(rmail ver: 1.14 upstream: No-Upstream-Ver)
(riece ver: 1.22 upstream: 2.0.2)
(reftex ver: 1.34 upstream: 4.21)
(re-builder ver: 1.05 upstream: 1.20)
(python-modes ver: 1.07 upstream: No-Upstream-Ver)
(psgml-dtds ver: 1.03 upstream: No-Upstream-Ver)
(psgml ver: 1.44 upstream: 1.3.1)
(ps-print ver: 1.11 upstream: 6.5.6)
(prog-modes ver: 2.07 upstream: No-Upstream-Ver)
(pgg ver: 1.06 upstream: 0.1)
(perl-modes ver: 1.09 upstream: No-Upstream-Ver)
(pcomplete ver: 1.04 upstream: 1.1.6)
(pcl-cvs ver: 1.66 upstream: R-2_9_9)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.37 upstream: No-Upstream-Ver)
(oo-browser ver: 1.04 upstream: 4.08)
(ocaml ver: 0.05 upstream: 3.06)
(net-utils ver: 1.48 upstream: N/A)
(misc-games ver: 1.18 upstream: No-Upstream-Ver)
(mine ver: 1.16 upstream: 1.9)
(mh-e ver: 1.29 upstream: 7.4.2)
(mew ver: 1.19 upstream: 1.94.2)
(mailcrypt ver: 2.14 upstream: 3.5.8)
(mail-lib ver: 1.76 upstream: No-Upstream-Ver)
(jde ver: 1.51 upstream: 2.3.3)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.33 upstream: 5.12.0)
(igrep ver: 1.14 upstream: 2.111)
(idlwave ver: 1.32 upstream: 5.1)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hyperbole ver: 1.16 upstream: 4.18)
(hm--html-menus ver: 1.23 upstream: 5.9)
(haskell-mode ver: 1.08 upstream: 2.1)
(gnus ver: 1.9 upstream: 5.10.7)
(gnats ver: 1.17 upstream: 3.101)
(general-docs ver: 1.04 upstream: No-Upstream-Ver)
(games ver: 1.17 upstream: 1.04)
(fsf-compat ver: 1.15 upstream: No-Upstream-Ver)
(frame-icon ver: 1.11 upstream: No-Upstream-Ver)
(fortran-modes ver: 1.05 upstream: No-Upstream-Ver)
(forms ver: 1.15 upstream: 2.37)
(footnote ver: 1.16 upstream: 0.18x)
(eudc ver: 1.39 upstream: 1.32)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.1 upstream: 2.4.1)
(escreen ver: 1.01 upstream: 1.16)
(erc ver: 0.21 upstream: Version 5.1.2 Revision: 1.796.2.6)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(elib ver: 1.11 upstream: 1.0)
(eieio ver: 1.05 upstream: 0.17)
(efs ver: 1.33 upstream: 1.23)
(edt ver: 1.13 upstream: No-Upstream-Ver)
(edit-utils ver: 2.34 upstream: No-Upstream-Ver)
(ediff ver: 1.62 upstream: 2.75)
(edebug ver: 1.21 upstream: No-Upstream-Ver)
(ecrypto ver: 0.2 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(docbookide ver: 0.07000000000000001 upstream: 0.1)
(dired ver: 1.17 upstream: 7.13)
(dictionary ver: 1.16 upstream: 1.8)
(debug ver: 1.17 upstream: No-Upstream-Ver)
(crisp ver: 1.15 upstream: 1.34)
(cookie ver: 1.15 upstream: No-Upstream-Ver)
(clearcase ver: 1.1 upstream: /main/laptop/165)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.23 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(build ver: 1.14 upstream: 2.02)
(bbdb ver: 1.29 upstream: 2.34)
(auctex ver: 1.46 upstream: 11.55)
(apel ver: 1.32 upstream: 10.6)
(ada ver: 1.14 upstream: 2.27)
(Sun ver: 1.16 upstream: No-Upstream-Ver)
(skk ver: 1.23 upstream: 10.62a)
(mule-ucs ver: 1.14 upstream: 0.84)
(mule-base ver: 1.48 upstream: No-Upstream-Ver)
(lookup ver: 1.15 upstream: 1.0)
(locale ver: 1.22 upstream: No-Upstream-Ver)
(leim ver: 1.22 upstream: No-Upstream-Ver)
(latin-unity ver: 1.17 upstream: 1.17)
(latin-euro-standards ver: 1.07 upstream: 1.07)
(egg-its ver: 1.27 upstream: No-Upstream-Ver)
(edict ver: 1.16 upstream: 0.9.9)

Installed Modules:
-----------------

Features:
--------

(mail-abbrevs xemacsbug shadow sendmail rfc822 viper viper-ex
viper-macs viper-mous viper-cmd viper-util viper-keym viper-init
gnuserv psvn edmacro overlay essd-bugs tramp-smb tramp password
format-spec timer-funcs trampver efs-x19.15 efs-fnh efs-ovwrt efs-cu
efs-netrc efs-defun efs ox-mode cc-mode cc-fonts cc-menus cc-cmds
cc-styles cc-align cc-engine advice advice-preload ess-toolbar
ess-mous mouseme thingatpt browse-url ess-menu imenu ess-swv ess-noweb
noweb-font-lock-mode essl-bugs essd-omg essl-omg essd-els essd-sas
essl-sas essa-sas rtf-support executable shell essd-arc essd-vst
essd-xls essl-lsp essd-sta essl-sta cc-vars cc-defs make-regexp
essd-sp6 essd-sp5 essd-sp3 essd-r essl-s ess-inf ess-utils comint ring
ess-mode noweb-mode ess ess-cust regexp-opt ess-emcs ess-site tex-site
font-lock cus-face rsz-minibuf recent-files savehist pending-del env
zenirc-autoloads xwem-autoloads xslt-process-autoloads
xslide-autoloads xlib-autoloads xetla-autoloads xemacs-devel-autoloads
xemacs-base-autoloads x-symbol-autoloads w3-autoloads vm-autoloads
viper-autoloads view-process-autoloads vhdl-autoloads vc-cc-autoloads
vc-autoloads tramp-autoloads tpu-autoloads tooltalk-autoloads
tm-autoloads time-autoloads textools-autoloads text-modes-autoloads
texinfo-autoloads supercite-autoloads strokes-autoloads
speedbar-autoloads sounds-wav-autoloads sounds-au-autoloads
sml-mode-autoloads slider-autoloads sieve-autoloads
sh-script-autoloads sgml-autoloads semantic-autoloads scheme-autoloads
sasl-autoloads ruby-modes-autoloads rmail-autoloads riece-autoloads
reftex-autoloads re-builder-autoloads python-modes-autoloads
psgml-dtds-autoloads psgml-autoloads ps-print-autoloads
prog-modes-autoloads pgg-autoloads perl-modes-autoloads
pcomplete-autoloads pcl-cvs-autoloads pc-autoloads os-utils-autoloads
oo-browser-autoloads ocaml-autoloads net-utils-autoloads
misc-games-autoloads mine-autoloads mh-e-autoloads mew-autoloads
mailcrypt-autoloads mail-lib-autoloads jde-autoloads ispell-autoloads
ilisp-autoloads igrep-autoloads idlwave-autoloads ibuffer-autoloads
hyperbole-autoloads hm--html-menus-autoloads haskell-mode-autoloads
gnus-autoloads gnats-autoloads general-docs-autoloads games-autoloads
fsf-compat-autoloads frame-icon-autoloads fortran-modes-autoloads
forms-autoloads footnote-autoloads eudc-autoloads eterm-autoloads
eshell-autoloads escreen-autoloads erc-autoloads emerge-autoloads
elib-autoloads eieio-autoloads efs-autoloads edt-autoloads
edit-utils-autoloads ediff-autoloads edebug-autoloads
ecrypto-autoloads ecb-autoloads docbookide-autoloads dired-autoloads
dictionary-autoloads debug-autoloads crisp-autoloads cookie-autoloads
clearcase-autoloads cc-mode-autoloads calendar-autoloads
calc-autoloads c-support-autoloads build-autoloads bbdb-autoloads
auctex-autoloads apel-autoloads ada-autoloads Sun-autoloads
skk-autoloads mule-ucs-autoloads mule-base-autoloads lookup-autoloads
locale-autoloads leim-autoloads latin-unity-autoloads
latin-euro-standards-autoloads egg-its-autoloads edict-autoloads
lisp-autoloads loadhist auto-show fontl-hooks x-iso8859-1 slovenian
czech romanian ccl mule-help code-cmds gutter-items menubar-items
x-menubar dragdrop mode-motion mouse itimer auto-save lisp-mode
easymenu iso8859-1 page buff-menu lib-complete cus-file derived frame
text-props obsolete cus-start custom widget cl-extra mini-cl cl cl-19
packages backquote very-early-lisp tooltalk file-coding mule
lucid-scrollbars cut-buffer lucid-menubars motif-dialogs x
c-balloon-help tty-frames tty toolbar esd-sound scrollbar
unix-processes multicast network-streams subprocesses modules
menu-accelerator-support menubar berkeley-db dbm md5 xemacs xim gutter
tiff png gif jpeg xpm xbm cde lisp-float-type usg-unix-v dragdrop-api
dialog devices window-system base64)

Recent keystrokes:
-----------------

M-x r e p o TAB r t - x e m TAB RET

Recent messages (most recent first):
-----------------------------------

Loading xemacsbug...done
Loading xemacsbug...
Making completion list...
Loading viper...done
Loading ~/.viper...done
Loading ~/.viper...
Loading viper...
Loading gnuserv...done
Loading gnuserv...
Loading edmacro...done
Loading edmacro...
Loading password...done
Loading password...
Loading advice...done
Loading advice...
Loading regexp-opt...done
Loading regexp-opt...
Loading cus-face...done
Loading cus-face...
Loading rsz-minibuf...done

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2009-06-30 15:03:25rsparapasetmessages: + msg1229
2008-10-03 03:21:05mike.kupfersetnosy: + mike.kupfer
2008-09-27 05:40:43vladimirsetpriority: normal
platform: + other cpu, unix
type: defect
severity: inconvenience
module: + core code 21.4
2008-01-19 06:43:08rsparapasetmessages: + msg294
2008-01-19 06:43:08rsparapasetmessages: + msg293
2008-01-19 06:43:08rsparapasetmessages: + msg292
2008-01-19 06:43:08glynnsetmessages: + msg291
2008-01-19 06:43:08rsparapasetmessages: + msg290
2008-01-19 06:43:08rsparapasetstatus: new -> chatting
messages: + msg289
2008-01-19 06:43:08rsparapacreate